using Baza_Reklam.Classes.Interfaces;

namespace Baza_Reklam
{
    public class InvoiceProvider : IInvoiceProvider
    {
        private string _city;
        private string _country;
        private int _id;
        private string _name;
        private string _phone;
        private string _postCode;
        private string _shortName;
        private string _street;
        private int _systemKsiegowyId;
        private string _taxCountryPrefix;
        private string _taxNumber;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public string ShortName
        {
            get { return _shortName; }
            set { _shortName = value; }
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public string Street
        {
            get { return _street; }
            set { _street = value; }
        }

        public string City
        {
            get { return _city; }
            set { _city = value; }
        }

        public string PostCode
        {
            get { return _postCode; }
            set { _postCode = value; }
        }

        public string Country
        {
            get { return _country; }
            set { _country = value; }
        }

        public string Phone
        {
            get { return _phone; }
            set { _phone = value; }
        }

        public string TaxNumber
        {
            get { return _taxNumber; }
            set { _taxNumber = value; }
        }

        public string TaxCountryPrefix
        {
            get { return _taxCountryPrefix; }
            set { _taxCountryPrefix = value; }
        }

        public int SystemKsiegowyId
        {
            get { return _systemKsiegowyId; }
            set { _systemKsiegowyId = value; }
        }

        public string GetAddress()
        {
            return string.Format("{0}\n{1},\n{2} {3}", _name, _street, _postCode, _city);
        }
    }
}